create_conical_rings#

Modeler3D.create_conical_rings(axis, origin, bottom_radius, top_radius, cone_height, ring_height, thickness=None, name=None)[source]#

Create rings in a conical shape.

Parameters:
axisstr

Coordinate system of the axis.

originlist, optional

List of [x, y, z] coordinates for the center position of the bottom of the cone.

bottom_radiusfloat

Bottom radius of the cone.

top_radiusfloat

Top radius of the cone.

cone_heightfloat

Height of the cone.

ring_heightfloat

Ring height.

thicknessfloat, optional

Ring thickness. The default is None, in which case a 2D sheet is created.

namestr, optional

Name of the cone. The default is None, in which case the default name is assigned.

Returns:
list of ansys.aedt.core.modeler.cad.object_3d.Object3d, bool

List of 3D object or False if it fails.

References

>>> oEditor.CreatePolyline
>>> oEditor.SweepAroundAxis
>>> oEditor.ThickenSheet

Examples

This example shows how to create rings along Z axis with a cone shape.

>>> from ansys.aedt.core import Hfss
>>> app = Hfss()
>>> position = [0,0,0]
>>> cone_object = aedtapp.modeler.create_conical_rings(axis='Z', origin=[0, 0, 0],
...                                           bottom_radius=2, top_radius=3, cone_height=4, ring_height=0.1)